From 93d8c2a1887ab70455f471d8e05f346921497a36 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sat, 24 Apr 2021 18:08:33 +0200
Subject: [PATCH] addons: Add missing Qt5Concurrent to project and search

Implicit use via KIO.

See also: https://invent.kde.org/frameworks/kio/-/merge_requests/426

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 addons/project/CMakeLists.txt | 4 +++-
 addons/search/CMakeLists.txt  | 6 ++++--
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/addons/project/CMakeLists.txt b/addons/project/CMakeLists.txt
index 16487f6cc..b1f66ada3 100644
--- a/addons/project/CMakeLists.txt
+++ b/addons/project/CMakeLists.txt
@@ -1,3 +1,4 @@
+find_package(Qt5Concurrent ${QT_MIN_VERSION} QUIET)
 find_package(
   KF5 ${KF5_DEP_VERSION}
   QUIET
@@ -9,7 +10,7 @@ find_package(
 set_package_properties(KFGuiAddons PROPERTIES PURPOSE "Required to build the project addon")
 set_package_properties(KF5NewStuff PROPERTIES PURPOSE "Required to build the project addon")
 
-if(NOT KF5_FOUND)
+if(NOT KF5_FOUND OR NOT Qt5Concurrent_FOUND)
   return()
 endif()
 
@@ -19,6 +20,7 @@ target_compile_definitions(kateprojectplugin PRIVATE TRANSLATION_DOMAIN="katepro
 target_link_libraries(
   kateprojectplugin
   PRIVATE
+    Qt5::Concurrent
     KF5::GuiAddons
     KF5::NewStuff
     KF5::TextEditor
diff --git a/addons/search/CMakeLists.txt b/addons/search/CMakeLists.txt
index 9bbe2c1c9..a541f78b8 100644
--- a/addons/search/CMakeLists.txt
+++ b/addons/search/CMakeLists.txt
@@ -1,7 +1,8 @@
+find_package(Qt5Concurrent ${QT_MIN_VERSION} QUIET)
 find_package(KF5ItemViews ${KF5_DEP_VERSION} QUIET)
 set_package_properties(KF5ItemViews PROPERTIES PURPOSE "Required to build the search addon")
 
-if(NOT KF5ItemViews_FOUND)
+if(NOT KF5ItemViews_FOUND OR NOT Qt5Concurrent_FOUND)
   return()
 endif()
 
@@ -9,8 +10,9 @@ add_library(katesearchplugin MODULE "")
 target_compile_definitions(katesearchplugin PRIVATE TRANSLATION_DOMAIN="katesearch")
 
 target_link_libraries(
-  katesearchplugin 
+  katesearchplugin
   PRIVATE
+    Qt5::Concurrent
     KF5::ItemViews
     KF5::TextEditor
 )
-- 
2.31.1

